Skip to main content
GET
/
payers
/
{payer_id}
/
payment_methods
List payment methods for a payer
curl --request GET \
  --url https://api.withacclaim.com/v1/payers/{payer_id}/payment_methods \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "pm_AbC123XyZ",
    "type": "Card",
    "active": true,
    "default": false,
    "card": {
      "brand": "Visa",
      "last4": "4242",
      "expiry_month": "09",
      "expiry_year": "2026",
      "funding": "Credit",
      "cardholder_name": "John Doe",
      "country": "US",
      "currency": "USD",
      "fingerprint": "<string>",
      "created_at": "2025-10-08T18:20:31Z",
      "updated_at": "2025-10-08T18:25:00Z"
    },
    "ach_debit": {
      "account_number": "<string>",
      "routing_number": "<string>",
      "country": "US",
      "currency": "USD",
      "created_at": "2025-10-08T18:20:31Z",
      "updated_at": "2025-10-08T18:25:00Z"
    },
    "sepa_debit": {
      "iban": "<string>",
      "country": "DE",
      "currency": "EUR",
      "created_at": "2025-10-08T18:20:31Z",
      "updated_at": "2025-10-08T18:25:00Z"
    },
    "paypal": {
      "email": "jsmith@example.com",
      "payer_id": "<string>",
      "created_at": "2025-10-08T18:20:31Z",
      "updated_at": "2025-10-08T18:25:00Z"
    },
    "created_at": "2025-10-08T18:20:31Z",
    "updated_at": "2025-10-08T18:25:00Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payer_id
string
required

ID of the payer.

Response

List of payment methods for the payer.

id
string
Example:

"pm_AbC123XyZ"

type
enum<string>

Type of payment method

Available options:
Card,
AchDebit,
SepaDebit,
WireTransfer,
PaperCheck,
Cash,
Paypal,
ApplePay,
GooglePay,
Venmo,
Zelle
Example:

"Card"

active
boolean

Whether the payment method is active

Example:

true

default
boolean

Whether this is the default payment method for the payer

Example:

false

card
object

Card details (present when type is Card)

ach_debit
object

ACH bank account details (present when type is AchDebit)

sepa_debit
object

SEPA bank account details (present when type is SepaDebit)

paypal
object

PayPal account details (present when type is Paypal)

created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

updated_at
string<date-time>
Example:

"2025-10-08T18:25:00Z"

Last modified on April 16, 2026